Package com.xebialabs.xlrelease.domain.events

# Class AccountUnlockedAfterSuccessfulLoginEvent$

java.lang.Object
scala.runtime.AbstractFunction0<AccountUnlockedAfterSuccessfulLoginEvent>
com.xebialabs.xlrelease.domain.events.AccountUnlockedAfterSuccessfulLoginEvent$

All Implemented Interfaces:
  `Serializable`, `scala.Function0<AccountUnlockedAfterSuccessfulLoginEvent>`

public class AccountUnlockedAfterSuccessfulLoginEvent$ extends scala.runtime.AbstractFunction0<AccountUnlockedAfterSuccessfulLoginEvent> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final AccountUnlockedAfterSuccessfulLoginEvent$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccountUnlockedAfterSuccessfulLoginEvent$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AccountUnlockedAfterSuccessfulLoginEvent`
  `apply()`
  `final String`
  `toString()`
  `boolean`
  `unapply(AccountUnlockedAfterSuccessfulLoginEvent x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction0

  `apply$mcB$sp, apply$mcC$sp, apply$mcD$sp, apply$mcF$sp, apply$mcI$sp, apply$mcJ$sp, apply$mcS$sp, apply$mcV$sp, apply$mcZ$sp`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final AccountUnlockedAfterSuccessfulLoginEvent$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### AccountUnlockedAfterSuccessfulLoginEvent$

    public AccountUnlockedAfterSuccessfulLoginEvent$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function0<AccountUnlockedAfterSuccessfulLoginEvent>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction0<AccountUnlockedAfterSuccessfulLoginEvent>`

  - ### apply

    public AccountUnlockedAfterSuccessfulLoginEvent apply()
    Specified by:
      `apply` in interface `scala.Function0<AccountUnlockedAfterSuccessfulLoginEvent>`

  - ### unapply

    public boolean unapply(AccountUnlockedAfterSuccessfulLoginEvent x$0)